#!/usr/bin/env python
# -*- coding: UTF-8 -*-
import ftplib
import sys
import ConfigParser
import os
import time

#Christophe CARON
#www.caron.ws


# Lecture du fichier ftp.ini
config = ConfigParser.ConfigParser()
config.read("/home/pi/psutil/ftp.ini")
site = config.get("ftp", "site")
user = config.get("ftp", "user")
password = config.get("ftp", "password")
directory = config.get("ftp", "directory")

#Lecture du mois et de l'annee
annee =int(time.strftime('%Y',time.localtime()))
mois =int(time.strftime('%m',time.localtime()))
jour =int(time.strftime('%d',time.localtime()))

# Sauvegarde du dernier jour du mois
if jour ==1 :
    mois=mois-1
if mois ==0: 
    mois=12
    annee=annee-1

# Mise en forme du mois en texte sur deux chiffres

if mois < 10 :
     mois= '0' + str(mois)
else:
     mois = str(mois)


# variable date sous forme 2013_04 par exemple
date = str(annee) + "-" + mois
# liste des fichiers dans repertoire
path = '/home/pi/station/data/raw/' + str(annee)+'/'+ date +'/' # Modifier le chemin suivant votre installation
text_files = [f for f in os.listdir(path) if f.endswith('.txt')]
text_files.sort()

session = ftplib.FTP(site,user,password)
# Changement de repertoire
session.cwd('/Christophe/station')

#creation du repertoire annee

try:
 rep = ('/Christophe/station/' + str(annee)) # entrez le nom du rpertoire, sans les slash ( / )
 repertoire = session.mkd(rep) # la fonction pour le creer, "mkd()"
except:
 print ''
 
#creation du repertoire annee_mois
 
try:
 rep = ('/Christophe/station/' + str(annee)+'/'+ date) # entrez le nom du rpertoire, sans les slash ( / )
 repertoire = session.mkd(rep) # la fonction pour le creer, "mkd()"
except:
 print ''

 # lecture de la liste de fichier du repertoire et transfert vers le serveur 
for a in text_files:
    monfichier = (a)
    myfile = open(path + monfichier,'rb')                        
    session.storbinary("STOR " + '/Christophe/station/'+ str(annee) + '/' + date + '/' + monfichier, myfile,1024)           
    myfile.close()
    print a

# fermeture de la session
                                         
session.quit()
